summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorlyoko2016-09-17 16:57:41 +0300
committerlyoko2016-09-17 16:57:41 +0300
commit911ee1479c3016eded7928dc6b907b3788ab39c7 (patch)
treea5b2fc28bbe77651c7559f0fe4d21d97453d3d26
downloadaur-911ee1479c3016eded7928dc6b907b3788ab39c7.tar.gz
first publish, report any issues please.
-rw-r--r--.SRCINFO19
-rw-r--r--PKGBUILD35
2 files changed, 54 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..fa0102e95e3
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,19 @@
+pkgbase = networkmanager-ssh-git
+ pkgdesc = SSH VPN support for NetworkManager
+ pkgver = r223.8e78731
+ pkgrel = 1
+ url = https://github.com/danfruehauf/NetworkManager-ssh
+ arch = any
+ license = GPL2
+ makedepends = git
+ makedepends = make
+ makedepends = gcc
+ makedepends = autoconf
+ depends = networkmanager>=1.1.0
+ depends = libnm-glib>=1.1.0
+ provides = networkmanager-ssh
+ source = networkmanager-ssh-git::git://github.com/danfruehauf/NetworkManager-ssh.git
+ md5sums = SKIP
+
+pkgname = networkmanager-ssh-git
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..dd535ae8551
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,35 @@
+# Maintainer: lyoko
+
+pkgname=networkmanager-ssh-git
+pkgver=r223.8e78731
+pkgrel=1
+pkgdesc="SSH VPN support for NetworkManager"
+arch=('any')
+url="https://github.com/danfruehauf/NetworkManager-ssh"
+license=('GPL2')
+depends=('networkmanager>=1.1.0'
+'libnm-glib>=1.1.0')
+optdepends=()
+options=()
+makedepends=('git' 'make' 'gcc' 'autoconf')
+provides=('networkmanager-ssh')
+
+source=($pkgname::'git://github.com/danfruehauf/NetworkManager-ssh.git')
+md5sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir/$pkgname"
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+}
+
+build() {
+ cd "$srcdir/$pkgname"
+ autoreconf -fvi || return 1
+ ./configure --prefix=/usr --sysconfdir=/etc || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir/$pkgname"
+ make DESTDIR="$pkgdir/" install
+}